import createMaterialIcon from '../createMaterialIcon.js';

const pathData = {
  regular: {
    "100": "M469-212v-494L228-465l-16-15 268-268 268 268-16 15-241-241v494h-22Z",
    "200": "M464.62-200v-501.38L222-458.77 200-480l280-280 280 280-22 21.23-242.62-242.61V-200h-30.76Z",
    "300": "M457.31-180v-513.69L212-448.39 180-480l300-300 300 300-32 31.61-245.31-245.3V-180h-45.38Z",
    "400": "M450-160v-526L202-438l-42-42 320-320 320 320-42 42-248-248v526h-60Z",
    "500": "M445.93-154.02V-676.2L201.76-432.02 154.02-480 480-806.22 806.22-480l-47.98 47.98L514.07-676.2v522.18h-68.14Z",
    "600": "M440.39-145.87v-516.95L201.43-423.87 145.87-480 480-814.7 814.7-480l-56.13 56.13-238.96-238.95v516.95h-79.22Z",
    "700": "M433-135v-510L201-413l-66-67 345-346 346 346-67 67-232-232v510h-94Z"
  }
};
const ArrowUpwardW100 = createMaterialIcon("arrow_upward", pathData.regular[100]);
const ArrowUpwardW200 = createMaterialIcon("arrow_upward", pathData.regular[200]);
const ArrowUpwardW300 = createMaterialIcon("arrow_upward", pathData.regular[300]);
const ArrowUpwardW400 = createMaterialIcon("arrow_upward", pathData.regular[400]);
const ArrowUpwardW500 = createMaterialIcon("arrow_upward", pathData.regular[500]);
const ArrowUpwardW600 = createMaterialIcon("arrow_upward", pathData.regular[600]);
const ArrowUpwardW700 = createMaterialIcon("arrow_upward", pathData.regular[700]);
const ArrowUpwardFillW100 = createMaterialIcon("arrow_upward", pathData.regular[100]);
const ArrowUpwardFillW200 = createMaterialIcon("arrow_upward", pathData.regular[200]);
const ArrowUpwardFillW300 = createMaterialIcon("arrow_upward", pathData.regular[300]);
const ArrowUpwardFillW400 = createMaterialIcon("arrow_upward", pathData.regular[400]);
const ArrowUpwardFillW500 = createMaterialIcon("arrow_upward", pathData.regular[500]);
const ArrowUpwardFillW600 = createMaterialIcon("arrow_upward", pathData.regular[600]);
const ArrowUpwardFillW700 = createMaterialIcon("arrow_upward", pathData.regular[700]);

export { ArrowUpwardFillW100, ArrowUpwardFillW200, ArrowUpwardFillW300, ArrowUpwardFillW400, ArrowUpwardFillW500, ArrowUpwardFillW600, ArrowUpwardFillW700, ArrowUpwardW100, ArrowUpwardW200, ArrowUpwardW300, ArrowUpwardW400, ArrowUpwardW500, ArrowUpwardW600, ArrowUpwardW700 };
